clan::SoundOutput Class Reference - ClanLib SDK
Description: clan::SoundOutput Class Reference

Public Member Functions | Friends | List of all members
clan::SoundOutput Class Reference
clanSound Audio Mixing

SoundOutput interface in ClanLib. More...

`#include <soundoutput.h>`

## Public Member Functions
| SoundOutput ()
| Constructs a null instance.
| SoundOutput (const SoundOutput_Description &desc)
| Constructs a SoundOutput.
| SoundOutput (int mixing_frequency, int latency=50)
| Constructs a SoundOutput.
virtual | ~SoundOutput ()
void | add_filter (SoundFilter &filter)
| Adds the sound filter to the sound output.
float | get_global_pan () const
| Returns the main panning position of the sound output.
float | get_global_volume () const
| Returns the main volume of the sound output.
int | get_mixing_frequency () const
| Returns the mixing frequency for the sound output device.
int | get_mixing_latency () const
| Returns the mixing latency in milliseconds.
const std::string & | get_name () const
| Name of the output device.
bool | is_null () const
| Returns true if this object is invalid.
void | remove_filter (SoundFilter &filter)
| Remove the sound filter from the session.
void | set_global_pan (float pan)
| Sets the main panning position on the sound output.
void | set_global_volume (float volume)
| Sets the main/mixer volume on the sound output.
void | stop_all ()
| Stops all sample playbacks on the sound output.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Friends
class | Sound
class | SoundBuffer
class | SoundBuffer_Session

## Detailed Description

SoundOutput interface in ClanLib.

SoundOutput is the interface to a sound output device. It is used to control the main mixer volume and other global settings.

## Constructor & Destructor Documentation

## ◆ SoundOutput() [1/3]

clan::SoundOutput::SoundOutput | ( |  | ) |

Constructs a null instance.

## ◆ SoundOutput() [2/3]

clan::SoundOutput::SoundOutput | ( | int | mixing_frequency,
|  | int | latency = 50 )

Constructs a SoundOutput.

Parameters

  mixing_frequency | = value
  latency | = value

## ◆ SoundOutput() [3/3]

clan::SoundOutput::SoundOutput | ( | const SoundOutput_Description & | desc | ) |

Constructs a SoundOutput.

Parameters

  desc | = Sound Output_ Description

## ◆ ~SoundOutput()

virtual clan::SoundOutput::~SoundOutput | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add_filter()

void clan::SoundOutput::add_filter | ( | SoundFilter & | filter | ) |

Adds the sound filter to the sound output.

Parameters

  filter | Sound filter to pass sound through.

## ◆ get_global_pan()

float clan::SoundOutput::get_global_pan | ( |  | ) | const

Returns the main panning position of the sound output.

## ◆ get_global_volume()

float clan::SoundOutput::get_global_volume | ( |  | ) | const

Returns the main volume of the sound output.

## ◆ get_mixing_frequency()

int clan::SoundOutput::get_mixing_frequency | ( |  | ) | const

Returns the mixing frequency for the sound output device.

## ◆ get_mixing_latency()

int clan::SoundOutput::get_mixing_latency | ( |  | ) | const

Returns the mixing latency in milliseconds.

## ◆ get_name()

const std::string & clan::SoundOutput::get_name | ( |  | ) | const

Name of the output device.

## ◆ is_null()

bool clan::SoundOutput::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ remove_filter()

void clan::SoundOutput::remove_filter | ( | SoundFilter & | filter | ) |

Remove the sound filter from the session.

## ◆ set_global_pan()

void clan::SoundOutput::set_global_pan | ( | float | pan | ) |

Sets the main panning position on the sound output.

## ◆ set_global_volume()

void clan::SoundOutput::set_global_volume | ( | float | volume | ) |

Sets the main/mixer volume on the sound output.

## ◆ stop_all()

void clan::SoundOutput::stop_all | ( |  | ) |

Stops all sample playbacks on the sound output.

## ◆ throw_if_null()

void clan::SoundOutput::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

## Friends And Related Symbol Documentation

## ◆ Sound

friend class Sound
| friend

## ◆ SoundBuffer

friend class SoundBuffer
| friend

## ◆ SoundBuffer_Session

friend class SoundBuffer_Session
| friend

The documentation for this class was generated from the following file:

- soundoutput.h